## kate 4.14.1

=== debian/changelog ===
kate (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Add missing file to katepart. 
  * wrap-and-sort

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:32:18 +0200

kate (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:35:44 +0200

kate (4:4.13.97-0ubuntu2) utopic; urgency=medium

  * Bump breaks/replaces for Kubuntu versions

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 08 Aug 2014 17:52:37 +0200

kate (4:4.13.97-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release RC

  [ Jonathan Riddell ]
  * Update kate-data install file
  * Add hacky second build for pate build failure

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:18:22 +0200

kate (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:30:23 +0200

kate (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release
  * Remove version from libkactivities-dev depend as it has not had
    a new release.
  * Commented out install file that is missing in i386, needs research.

  [ Jonathan Riddell ]
  * Add pate files back to kate-data.install

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:38:34 +0200

kate (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:44:15 +0100

kate (4:4.13.1-2ubuntu2) utopic; urgency=medium

  * Fix install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 05 Jun 2014 15:50:23 +0200

kate (4:4.13.1-2ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    - Add appropriate Breaks/Replaces

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 05 Jun 2014 13:22:43 +0200

kate (4:4.13.1-2) unstable; urgency=medium

  * Team upload.
  * Disable pate, since it introduces a build-dependency loop (see also
    https://bugs.debian.org/729215#10).
  * Do not really install (even if renamed) the go.xml syntax file, since
    it is already provided by kate-syntax-go (see #628161).
  * Remove the files we must not install for real, so this should help not
    installing them accidentally again.
  * Disable the build of tests, since they are not (and cannot be) run;
    patch debian-disable-tests.diff.

 -- Pino Toscano <pino@debian.org>  Sat, 31 May 2014 16:26:09 +0200

kate (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Add pate plugin, sync with kubuntu package.
  * Update install files.
  * New patch: sideeffects_in_asserts_are_evil.patch
  * Add lintian-override to for the js_lint.py file.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 14:13:35 +0200

kate (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:23:45 +0200

kate (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:24 +0100

kate (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump kde4libs b-d version.
  * Update install files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:28 +0100

kate (4:4.11.5-1) unstable; urgency=low

  * New upstream release.

  [ Sune Vuorela ]
  * Update package descriptions. (Closes: #731894)

  [ Maximiliano Curia ]
  * Build the auto tests.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add autopkgtests.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 26 Jan 2014 12:25:42 +0100

kate (4:4.11.3-2) unstable; urgency=low

  * Team upload.
  * Do not install (again) the go.xml and nesc.xml highlighting files, as they
    are already provided by other packages. (Closes: #726756)

 -- Pino Toscano <pino@debian.org>  Sat, 30 Nov 2013 15:13:26 +0100

kate (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 14:07:22 +0100

kate (4:4.11.2-2) experimental; urgency=low

  * Bump kdelibs5-dev build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 15:02:41 +0200

kate (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

  [ Maximiliano Curia ]
  * Update install files.

  [ Pino Toscano ]
  * Fix section of libkatepartinterfaces4 to be "libs".

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 Oct 2013 13:20:22 +0200

kate (4:4.10.5-2) unstable; urgency=low

  * Team upload.
  * Drop the nesc.xml kate syntax highlighting, as nescc provides it already.
    (Closes: #716942)
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 22 Jul 2013 10:12:45 +0200

kate (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 Jul 2013 23:05:44 +0200

kate (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 09:31:57 +0200

=== debian/control ===
Source: kate
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libkactivities-dev,
               libpython2.7-dev,
               libqjson-dev,
               libqt4-opengl-dev,
               libqtwebkit-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               python-kde4-dev (>= 4:4.9.80),
               python-qt4-dev,
               python-sip-dev
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://kate-editor.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kate.git
X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kate.git

Package: kate
Section: editors
Architecture: any
Depends: kate-data (>= ${source:Version}),
         katepart (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kate-data (<< 4:4.13.90)
Replaces: kate-data (<< 4:4.13.90)
Suggests: aspell | ispell | hspell, khelpcenter4, konsole
Description: powerful text editor
 Kate is a powerful text editor that can open multiple files simultaneously.
 .
 With a built-in terminal, syntax highlighting, and tabbed sidebar, it performs
 as a lightweight but capable development environment.  Kate's many tools,
 plugins, and scripts make it highly customizable.
 .
 Kate's features include:
 .
  * Multiple saved sessions, each with numerous files
  * Scriptable syntax highlighting, indentation, and code-folding
  * Configurable templates and text snippets
  * Symbol viewers for C, C++, and Python
  * XML completion and validation
 .
 This package is part of the KDE 4 Base applications module.

Package: katepart
Architecture: any
Depends: kate-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kate (<< 4:4.7.0),
        kdelibs5-data (<< 4:4.6.90),
        kdelibs5-plugins (<< 4:4.6.90)
Replaces: kate (<< 4:4.7.0),
          kdelibs5-data (<< 4:4.6.90),
          kdelibs5-plugins (<< 4:4.6.90)
Description: embeddable text editor component
 KatePart is a fast and featurerich text editor component. It implements the
 KTextEditor interfaces, a common interface collection for text editor
 components in KDE.

Package: kate-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kate (<< 4:4.6.90),
        katepart (<< 4:4.13.90),
        kdelibs5-data (<< 4:4.6.90)
Replaces: kate (<< 4:4.6.90),
          katepart (<< 4:4.13.90),
          kdelibs5-data (<< 4:4.6.90)
Description: shared data files for Kate text editor
 This package contains the architecture-independent shared data files needed
 for Kate editor
 .
 This package is part of the KDE 4 Base applications module.

Package: libkatepartinterfaces4
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for the embeddable text editor component
 This library contains the code used by the kate part. It is not
 meant to be used directly, applications should use libktexteditor4
 instead.
 .
 This package is a part of KDE 4 Base applications module.

Package: libkateinterfaces4
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kate (<< 4:4.6.90)
Replaces: kate (<< 4:4.6.90)
Description: plugin interface for the kate editor
 This library contains the code used by kate plugins that provide a better
 integration into the app like tool views
 .
 This package is part of the KDE 4 Base applications module

Package: kwrite
Section: editors
Architecture: any
Depends: katepart (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: simple text editor
 KWrite is a simple text editor built on the KDE Platform. It uses the Kate
 editor component, so it supports powerful features such as flexible syntax
 highlighting, automatic indentation, and numerous other text tools.
 .
 This package is part of the KDE 4 Base applications module.

Package: kate-dbg
Section: debug
Architecture: any
Priority: extra
Depends: katepart (= ${binary:Version}),
         kde-runtime-dbg (>= 4:4.6.90),
         ${allLibraries},
         ${misc:Depends}
Breaks: kdebase-dbg (<< 4:4.6.90),
        kdelibs5-dbg (<< 4:4.6.90),
        kdesdk-dbg (<< 4:4.6.90)
Replaces: kdebase-dbg (<< 4:4.6.90),
          kdelibs5-dbg (<< 4:4.6.90),
          kdesdk-dbg (<< 4:4.6.90)
Description: debugging symbols for Kate
 This package contains debugging files used to investigate problems with
 binaries included in Kate.
 .
 This package is part of the KDE 4 base applications module.

## kate 4.14.2

=== kwrite/CMakeLists.txt ===
set(kwrite_KDEINIT_SRCS kwritemain.cpp kwriteapp.cpp)

kde4_add_app_icon(kwrite_KDEINIT_SRCS "${KDE4_INSTALL_DIR}/share/icons/oxygen/*/apps/accessories-text-editor.png")

kde4_add_kdeinit_executable(kwrite ${kwrite_KDEINIT_SRCS})
target_link_libraries(kdeinit_kwrite ${KDE4_KTEXTEDITOR_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KPARTS_LIBS} ${KACTIVITIES_LIBRARY})

install(TARGETS kwrite         ${INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS kdeinit_kwrite ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS kwrite.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES kwriteui.rc DESTINATION ${DATA_INSTALL_DIR}/kwrite)

=== part/CMakeLists.txt ===
# define project
project(katepart)

# these subdirs have their own CMakeLists
add_subdirectory( data )

# syntax highlighting data files
add_subdirectory( syntax/data )

# jscripts for the part
add_subdirectory( script/data )

# includes
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/buffer
  ${CMAKE_CURRENT_SOURCE_DIR}/completion
  ${CMAKE_CURRENT_SOURCE_DIR}/dialogs
  ${CMAKE_CURRENT_SOURCE_DIR}/document
  ${CMAKE_CURRENT_SOURCE_DIR}/script
  ${CMAKE_CURRENT_SOURCE_DIR}/mode
  ${CMAKE_CURRENT_SOURCE_DIR}/render
  ${CMAKE_CURRENT_SOURCE_DIR}/search
  ${CMAKE_CURRENT_SOURCE_DIR}/syntax
  ${CMAKE_CURRENT_SOURCE_DIR}/schema
  ${CMAKE_CURRENT_SOURCE_DIR}/undo
  ${CMAKE_CURRENT_SOURCE_DIR}/utils
  ${CMAKE_CURRENT_SOURCE_DIR}/vimode
  ${CMAKE_CURRENT_SOURCE_DIR}/view
  ${CMAKE_CURRENT_SOURCE_DIR}/swapfile
  ${CMAKE_CURRENT_SOURCE_DIR}/variableeditor
  ${CMAKE_CURRENT_SOURCE_DIR}/kte5
  ${KDE4_KIO_INCLUDES}
)

# our sources
set(katepart_PART_SRCS

# text buffer & buffer helpers
buffer/katetextbuffer.cpp
buffer/katetextblock.cpp
buffer/katetextline.cpp
buffer/katetextcursor.cpp
buffer/katetextrange.cpp
buffer/katetexthistory.cpp
buffer/katetextfolding.cpp

# completion (widget, model, delegate, ...)
completion/codecompletionmodelcontrollerinterfacev4.cpp
completion/katecompletionwidget.cpp
completion/katecompletionmodel.cpp
completion/katecompletiontree.cpp
completion/katecompletionconfig.cpp
completion/kateargumenthinttree.cpp
completion/kateargumenthintmodel.cpp
completion/katecompletiondelegate.cpp
completion/expandingtree/expandingwidgetmodel.cpp
completion/expandingtree/expandingdelegate.cpp
completion/expandingtree/expandingtree.cpp

# simple internal word completion
completion/katewordcompletion.cpp
# internal syntax-file based keyword completion
completion/katekeywordcompletion.cpp

# dialogs
dialogs/katedialogs.cpp

# document (THE document, buffer, lines/cursors/..., CORE STUFF)
document/katedocument.cpp
document/katedocumenthelpers.cpp
document/katebuffer.cpp

# undo
undo/kateundo.cpp
undo/katemodifiedundo.cpp
undo/kateundomanager.cpp

# scripting
script/katescript.cpp
script/kateindentscript.cpp
script/katecommandlinescript.cpp
script/katetemplatescript.cpp
script/katescriptmanager.cpp
script/katescriptaction.cpp

# scripting wrappers
script/katescriptdocument.cpp
script/katescriptview.cpp
script/katescripthelpers.cpp

# mode (modemanager and co)
mode/katemodemanager.cpp
mode/katemodeconfigpage.cpp
mode/katemodemenu.cpp
mode/katewildcardmatcher.cpp

# modeline variable editor
variableeditor/variablelineedit.cpp
variableeditor/variablelistview.cpp
variableeditor/variableeditor.cpp
variableeditor/variableitem.cpp
variableeditor/katehelpbutton.cpp

# rendering stuff (katerenderer  and helpers)
render/katerenderer.cpp
render/katerenderrange.cpp
render/katelayoutcache.cpp
render/katetextlayout.cpp
render/katelinelayout.cpp

# search stuff
search/kateregexp.cpp
search/kateplaintextsearch.cpp
search/kateregexpsearch.cpp
search/katematch.cpp
search/katesearchbar.cpp

# syntax related stuff (highlighting, xml file parsing, ...)
syntax/katesyntaxmanager.cpp
syntax/katehighlight.cpp
syntax/katehighlighthelpers.cpp
syntax/katehighlightmenu.cpp
syntax/katesyntaxdocument.cpp
syntax/kateextendedattribute.cpp

# view stuff (THE view and its helpers)
view/kateview.cpp
view/kateviewinternal.cpp
view/kateviewhelpers.cpp
view/katemessagewidget.cpp
view/katefadeeffect.cpp
view/kateanimation.cpp
view/katetextanimation.cpp

# vi input mode
vimode/kateviinputmodemanager.cpp
vimode/katevimodebase.cpp
vimode/katevinormalmode.cpp
vimode/kateviinsertmode.cpp
vimode/katevicommand.cpp
vimode/katevimotion.cpp
vimode/katevirange.cpp
vimode/katevikeyparser.cpp
vimode/kateviglobal.cpp
vimode/katevivisualmode.cpp
vimode/katevireplacemode.cpp
vimode/kateviemulatedcommandbar.cpp
vimode/katevicommandrangeexpressionparser.cpp
vimode/katevikeymapper.cpp

# spell checking
spellcheck/prefixstore.h
spellcheck/prefixstore.cpp
spellcheck/ontheflycheck.h
spellcheck/ontheflycheck.cpp
spellcheck/spellcheck.h
spellcheck/spellcheck.cpp
spellcheck/spellcheckdialog.h
spellcheck/spellcheckdialog.cpp
spellcheck/spellingmenu.h
spellcheck/spellingmenu.cpp

# generic stuff, unsorted...
utils/katecmds.cpp
utils/kateconfig.cpp
utils/katebookmarks.cpp
utils/kateautoindent.cpp
utils/katetemplatehandler.cpp
utils/kateprinter.cpp
utils/kateglobal.cpp
utils/katecmd.cpp
utils/katepartpluginmanager.cpp
utils/katedefaultcolors.cpp

# schema
schema/kateschema.cpp
schema/kateschemaconfig.cpp
schema/katestyletreewidget.cpp
schema/katecolortreewidget.cpp
schema/katecategorydrawer.cpp

# swapfile
swapfile/kateswapdiffcreator.cpp
swapfile/kateswapfile.cpp

# snippets
snippet/katesnippetglobal.cpp
snippet/snippetview.cpp
snippet/snippetstore.cpp
snippet/snippetrepository.cpp
snippet/snippetfilterproxymodel.cpp
snippet/snippetcompletionmodel.cpp
snippet/snippetcompletionitem.cpp
snippet/snippet.cpp
snippet/editrepository.cpp
snippet/editsnippet.cpp

# KDE5: move to KTextEditor
kte5/documentcursor.cpp
)

set( katepart_PART_UI
dialogs/textareaappearanceconfigwidget.ui
dialogs/bordersappearanceconfigwidget.ui
dialogs/commandmenuconfigwidget.ui
dialogs/commandmenueditwidget.ui
dialogs/completionconfigtab.ui
dialogs/navigationconfigwidget.ui
dialogs/editconfigwidget.ui
dialogs/filetypeconfigwidget.ui
dialogs/indentationconfigwidget.ui
dialogs/opensaveconfigwidget.ui
dialogs/opensaveconfigadvwidget.ui
dialogs/modonhdwidget.ui
dialogs/completionconfigwidget.ui
search/searchbarincremental.ui
search/searchbarpower.ui
dialogs/viinputmodeconfigwidget.ui
dialogs/spellcheckconfigwidget.ui
schema/howtoimportschema.ui
snippet/snippetview.ui
snippet/editrepository.ui
snippet/editsnippet.ui
)

add_definitions ( -DKDE_DEFAULT_DEBUG_AREA=13000 )

kde4_add_ui_files(katepart_PART_SRCS ${katepart_PART_UI} )

kde4_add_library (katepartinterfaces ${LIBRARY_TYPE} ${katepart_PART_SRCS} )

target_link_libraries (
  katepartinterfaces ${KDE4_KDECORE_LIBS} ${KDE4_KPARTS_LIBS}
  ${KDE4_KCMUTILS_LIBS} ${KDE4_KTEXTEDITOR_LIBS} ${QT_QTSCRIPT_LIBRARY} ${KDE_4_4_LIBS_NEEDED} ${KDE4_KNEWSTUFF3_LIBS}
)
target_link_libraries(katepartinterfaces LINK_INTERFACE_LIBRARIES "${KDE4_KPARTS_LIBS}" )

set_target_properties(
  katepartinterfaces PROPERTIES
  VERSION ${GENERIC_LIB_VERSION}
  SOVERSION ${GENERIC_LIB_SOVERSION}
)

# kde 4 final support
if(KDE4_ENABLE_FINAL)
   macro_add_file_dependencies(${CMAKE_CURRENT_BINARY_DIR}/katepartinterfaces_final_cpp.cpp )
else(KDE4_ENABLE_FINAL)
   macro_add_file_dependencies(${CMAKE_CURRENT_SOURCE_DIR}/script/katescript.cpp )
endif(KDE4_ENABLE_FINAL)

# install kate part interfaces
install (TARGETS katepartinterfaces EXPORT kdelibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

# kate part itself just is interfaces + the factory
kde4_add_plugin (katepart utils/katefactory.cpp)

# link the part, use kate part interfaces + kde stuff
target_link_libraries (katepart
  ${KDE4_KDECORE_LIBS} ${KDE4_KPARTS_LIBS}
  ${KDE4_KCMUTILS_LIBS} ${KDE4_KTEXTEDITOR_LIBS} ${QT_QTSCRIPT_LIBRARY} katepartinterfaces)

# install the part
install (TARGETS katepart DESTINATION ${PLUGIN_INSTALL_DIR})

# install the snippet stuff
install( FILES snippet/ktexteditor_codesnippets_core.knsrc DESTINATION  ${CONFIG_INSTALL_DIR} )

=== tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories(
  ${CMAKE_SOURCE_DIR}/part
  ${CMAKE_SOURCE_DIR}/part/buffer
  ${CMAKE_SOURCE_DIR}/part/completion
  ${CMAKE_SOURCE_DIR}/part/dialogs
  ${CMAKE_SOURCE_DIR}/part/document
  ${CMAKE_SOURCE_DIR}/part/script
  ${CMAKE_SOURCE_DIR}/part/mode
  ${CMAKE_SOURCE_DIR}/part/render
  ${CMAKE_SOURCE_DIR}/part/search
  ${CMAKE_SOURCE_DIR}/part/syntax
  ${CMAKE_SOURCE_DIR}/part/undo
  ${CMAKE_SOURCE_DIR}/part/utils
  ${CMAKE_SOURCE_DIR}/part/vimode
  ${CMAKE_SOURCE_DIR}/part/view
  ${CMAKE_SOURCE_DIR}/part/kte5 # KDE5 remove
  ${CMAKE_BINARY_DIR}/part
  ${KDE4_KIO_INCLUDES}
)

set (KATE_TEST_LINK_LIBS ${KDE4_KDECORE_LIBS} ${QT_QTSCRIPT_LIBRARY} ${QT_QTTEST_LIBRARY} ${KDE4_KCMUTILS_LIBS} ${KDE_4_4_LIBS_NEEDED} ktexteditor katepartinterfaces)

# buffer test
kde4_add_unit_test(katetextbuffertest katetextbuffertest.cpp katetextbuffertest.h)
target_link_libraries (katetextbuffertest ${KATE_TEST_LINK_LIBS})

########### range test ###############

kde4_add_unit_test(range_test TESTNAME kate-range_test range_test.cpp)

target_link_libraries( range_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### next target ###############

if(NOT MINGW)

########### undomanager test ###############

kde4_add_unit_test(undomanager_test TESTNAME kate-undomanager_test undomanager_test.cpp)

target_link_libraries( undomanager_test ${KATE_TEST_LINK_LIBS}
)

########### plaintextsearch test ###############

kde4_add_unit_test(plaintextsearch_test TESTNAME kate-plaintextsearch_test plaintextsearch_test.cpp)

target_link_libraries( plaintextsearch_test ${KATE_TEST_LINK_LIBS}
)

########### regexpsearch test ###############

kde4_add_unit_test(regexpsearch_test TESTNAME kate-regexpsearch_test regexpsearch_test.cpp)

target_link_libraries( regexpsearch_test ${KATE_TEST_LINK_LIBS}
)

########### scriptdocument test ###############

kde4_add_unit_test(scriptdocument_test TESTNAME kate-scriptdocument_test scriptdocument_test.cpp)

target_link_libraries( scriptdocument_test ${KATE_TEST_LINK_LIBS}
)

########### completion test ###############

set(completion_test_SRCS
  completion_test.cpp
  codecompletiontestmodel.cpp
)

kde4_add_unit_test(completion_test TESTNAME kate-completion_test ${completion_test_SRCS})

target_link_libraries( completion_test ${KATE_TEST_LINK_LIBS}
)
########### word completion test ###############

kde4_add_unit_test(wordcompletion_test TESTNAME kate-wordcompletion_test wordcompletiontest.cpp)

target_link_libraries( wordcompletion_test ${KATE_TEST_LINK_LIBS}
)

########### searchbar test ###############

kde4_add_unit_test(searchbar_test TESTNAME kate-searchbar_test searchbar_test.cpp)

target_link_libraries( searchbar_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### vimode test ###############

kde4_add_unit_test(vimode_test TESTNAME kate-vimode_test vimode_test.cpp)



target_link_libraries( vimode_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### cursor test ###############

kde4_add_unit_test(movingcursor_test TESTNAME kate-movingcursor_test movingcursor_test.cpp)

target_link_libraries( movingcursor_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### moving range and feedback test ###############

kde4_add_unit_test(movingrange_test TESTNAME kate-movingrange_test movingrange_test.cpp)

target_link_libraries( movingrange_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### document test ###############

kde4_add_unit_test(katedocument_test TESTNAME kate-katedocument_test katedocument_test.cpp)

target_link_libraries( katedocument_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### view test ###############

kde4_add_unit_test(kateview_test TESTNAME kate-kateview_test kateview_test.cpp)

target_link_libraries( kateview_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### revision test ###############

kde4_add_unit_test(revision_test TESTNAME kate-revision_test revision_test.cpp)

target_link_libraries( revision_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### line modification test ###############

kde4_add_unit_test(modificationsystem_test TESTNAME kate-modificationsystem_test modificationsystem_test.cpp)

target_link_libraries( modificationsystem_test ${KATE_TEST_LINK_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### templatehandler test ###############

kde4_add_unit_test(templatehandler_test TESTNAME kate-templatehandler_test templatehandler_test.cpp)

target_link_libraries( templatehandler_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### text folding test ###############

kde4_add_unit_test(katecodefoldingtest TESTNAME codefoldingtest katefoldingtest.cpp)

target_link_libraries( katecodefoldingtest
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### indenting test ################

set(indenttest_SRCS
  indenttest.cpp
  script_test_base.cpp
  testutils.cpp
)

kde4_add_unit_test(indenttest TESTNAME kate-indenttest ${indenttest_SRCS})

target_link_libraries(indenttest ${KATE_TEST_LINK_LIBS})

########### commands test ################

set(commands_test_SRCS
  commands_test.cpp
  script_test_base.cpp
  testutils.cpp
)

kde4_add_unit_test(commands_test TESTNAME kate-commands_test ${commands_test_SRCS})

target_link_libraries(commands_test ${KATE_TEST_LINK_LIBS})

########### scripting test ################

set(scripting_test_SRCS
  scripting_test.cpp
  script_test_base.cpp
  testutils.cpp
)

kde4_add_unit_test(scripting_test TESTNAME kate-scripting_test ${scripting_test_SRCS})

target_link_libraries(scripting_test ${KATE_TEST_LINK_LIBS})

########### syntax highlighting test ################

set(syntax_highlighting_test_SRCS
  syntax_highlighting_test.cpp
  script_test_base.cpp
  testutils.cpp
)

kde4_add_unit_test(syntax_highlighting_test TESTNAME kate-syntax_highlighting_test ${syntax_highlighting_test_SRCS})

target_link_libraries(syntax_highlighting_test ${KATE_TEST_LINK_LIBS})

########### bug 286887 test ###############

kde4_add_unit_test(bug286887_test TESTNAME kate-bug286887_test bug286887.cpp)
set_tests_properties(kate-bug286887_test PROPERTIES TIMEOUT 4)

target_link_libraries( bug286887_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### bug 313759 test ###############

set(bug313759_SRCS
  bug313759.cpp
  testutils.cpp
)

kde4_add_unit_test(bug313759_test TESTNAME kate-bug313759_test ${bug313759_SRCS})

target_link_libraries(bug313759_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### bug 313769 test ###############

kde4_add_unit_test(bug313769_test TESTNAME kate-bug313769_test bug313769.cpp)

target_link_libraries( bug313769_test
 ${KDE4_KDEUI_LIBS}
 ${QT_QTTEST_LIBRARY}
 ${KATE_TEST_LINK_LIBS}
 katepartinterfaces
)

########### bug 317111 test ###############

set(bug317111_SRCS
  bug317111.cpp
  testutils.cpp
)

kde4_add_unit_test(bug317111_test TESTNAME kate-bug317111_test ${bug317111_SRCS})

target_link_libraries( bug317111_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### KTextEditor::DocumentCursor test ###############

kde4_add_unit_test(kte_documentcursor_test TESTNAME kte-documentcursor_test kte_documentcursor.cpp)

target_link_libraries( kte_documentcursor_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### KTextEditor::MessageInterface test ###############

kde4_add_unit_test(kte_messageinterface_test TESTNAME kte-messageinterface messagetest.cpp)

target_link_libraries( kte_messageinterface_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

endif(NOT MINGW)

# encoding tets
add_subdirectory (encoding)

=== kate/app/CMakeLists.txt ===
########### next target ###############

set(kateinterfaces_LIB_SRCS kateappadaptor.cpp
   ../interfaces/kate/application.cpp
   ../interfaces/kate/mainwindow.cpp
   ../interfaces/kate/documentmanager.cpp
   ../interfaces/kate/pluginmanager.cpp
   ../interfaces/kate/plugin.cpp
   ../interfaces/kate/pluginconfigpageinterface.cpp
   kateapp.cpp
   kateconfigdialog.cpp
   kateconfigplugindialogpage.cpp
   katedocmanager.cpp
   katemainwindow.cpp
   katepluginmanager.cpp
   kateviewmanager.cpp
   kateviewspace.cpp
   katesavemodifieddialog.cpp
   katemwmodonhddialog.cpp
   katesession.cpp
   katemdi.cpp
   katecontainer.cpp
   katerunninginstanceinfo.cpp
   kateappcommands.cpp
   katequickopen.cpp
   )



kde4_add_library(kateinterfaces SHARED ${kateinterfaces_LIB_SRCS})

# some stuff to have it compile for KDE 4.4
if (NOT KDE_NO_DEPRECATED)
   set (KDE_4_4_LIBS_NEEDED ${KDE4_KUTILS_LIBS})
endif()

target_link_libraries(kateinterfaces  ${KDE_4_4_LIBS_NEEDED} ${QT_QTXML_LIBRARY} ${KDE4_KTEXTEDITOR_LIBS} ${KDE4_KPARTS_LIBS} ${KACTIVITIES_LIBRARY} )
target_link_libraries(kateinterfaces  LINK_INTERFACE_LIBRARIES "${KDE4_KPARTS_LIBS}" )


set_target_properties(kateinterfaces PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})

install(TARGETS kateinterfaces ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### next target ###############

set(kate_KDEINIT_SRCS katemain.cpp)

if (WIN32)
    configure_file(${KDE4_MODULE_DIR}/kde4init_dummy.cpp.in ${CMAKE_CURRENT_BINARY_DIR}/kate_dummy.cpp)

    list(APPEND kate_KDEINIT_SRCS ${CMAKE_CURRENT_BINARY_DIR}/kate_dummy.cpp)

    #kde4_add_app_icon(kate_KDEINIT_SRCS "${KDE4_INSTALL_DIR}/share/icons/oxygen/*/apps/kate.png")
    kde4_add_app_icon(kate_KDEINIT_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../pics/hi*-app-kate.png")

    kde4_add_executable(kate ${kate_KDEINIT_SRCS} )

    target_link_libraries( kate ${QT_QTMAIN_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBS} kateinterfaces )

else (WIN32)
    kde4_add_kdeinit_executable( kate ${kate_KDEINIT_SRCS})

    target_link_libraries(kdeinit_kate ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBS} kateinterfaces )

    install(TARGETS kdeinit_kate ${INSTALL_TARGETS_DEFAULT_ARGS} )

    target_link_libraries( kate kdeinit_kate )
endif (WIN32)

install(TARGETS kate ${INSTALL_TARGETS_DEFAULT_ARGS})

=== kate/filetree/CMakeLists.txt ===

project(katefiletreeplugin)

set(katefiletreeplugin_PART_SRCS katefiletreeplugin.cpp katefiletree.cpp katefiletreemodel.cpp katefiletreeproxymodel.cpp katefiletreeconfigpage.cpp katefiletreepluginsettings.cpp )

if(NOT KDE4_FOUND)
  find_package(KDE4 REQUIRED)
  include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )
endif(NOT KDE4_FOUND)

include_directories( ${CMAKE_CURRENT_BINARY_DIR} )
kde4_add_plugin(katefiletreeplugin ${katefiletreeplugin_PART_SRCS})

target_link_libraries(katefiletreeplugin ${KDE4_KFILE_LIBS} ${KDE4_KPARTS_LIBS} kateinterfaces ${KDE4_KTEXTEDITOR_LIBS} )

install(TARGETS katefiletreeplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES ui.rc  DESTINATION  ${DATA_INSTALL_DIR}/kate/plugins/filetree )
install( FILES katefiletreeplugin.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== addons/kate/konsole/CMakeLists.txt ===


########### next target ###############

set(katekonsoleplugin_PART_SRCS kateconsole.cpp )


kde4_add_plugin(katekonsoleplugin ${katekonsoleplugin_PART_SRCS})


target_link_libraries(katekonsoleplugin  ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} kateinterfaces )

install(TARGETS katekonsoleplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES ui.rc  DESTINATION  ${DATA_INSTALL_DIR}/kate/plugins/katekonsole )
install( FILES katekonsoleplugin.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== addons/kate/xmltools/CMakeLists.txt ===




########### next target ###############

set(katexmltoolsplugin_PART_SRCS pseudo_dtd.cpp plugin_katexmltools.cpp )


kde4_add_plugin(katexmltoolsplugin ${katexmltoolsplugin_PART_SRCS})



target_link_libraries(katexmltoolsplugin  ${KDE4_KDECORE_LIBS} kateinterfaces ${KDE4_KTEXTEDITOR_LIBS})

install(TARGETS katexmltoolsplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES ui.rc  DESTINATION  ${DATA_INSTALL_DIR}/kate/plugins/katexmltools )
install( FILES html4-loose.dtd.xml  html4-strict.dtd.xml kde-docbook.dtd.xml  	simplify_dtd.xsl xhtml1-frameset.dtd.xml xhtml1-strict.dtd.xml  	xhtml1-transitional.dtd.xml xslt-1.0.dtd.xml  	testcases.xml language.dtd.xml kpartgui.dtd.xml kcfg.dtd.xml  DESTINATION  ${DATA_INSTALL_DIR}/katexmltools )
install( FILES katexmltools.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )




#original Makefile.am contents follow:

#INCLUDES  =  $(all_includes)
#METASOURCES = AUTO
#
## Install this plugin in the KDE modules directory
#kde_module_LTLIBRARIES = katexmltoolsplugin.la
#
## This is all standard.  Remove the LIB_KHTML reference if you are not
## using the KHTML Part
#katexmltoolsplugin_la_SOURCES = pseudo_dtd.cpp plugin_katexmltools.cpp
#katexmltoolsplugin_la_LIBADD = -lkateinterfaces
#katexmltoolsplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
#
## Install the .rc file in the Part's directory (in this case, the part
## is KHTMLPart)
#pluginsdir = $(kde_datadir)/kate/plugins/katexmltools
#plugins_DATA = ui.rc
#
#xmldir = $(kde_datadir)/katexmltools
#xml_DATA = html4-loose.dtd.xml  html4-strict.dtd.xml kde-docbook.dtd.xml \
#	simplify_dtd.xsl xhtml1-frameset.dtd.xml xhtml1-strict.dtd.xml \
#	xhtml1-transitional.dtd.xml xslt-1.0.dtd.xml \
#	testcases.xml language.dtd.xml kpartgui.dtd.xml kcfg.dtd.xml
#
##deskdir=$(kde_datadir)/kate/plugins
##desk_DATA=katexmltools.desktop
#
#kde_services_DATA = katexmltools.desktop
#
#messages: rc.cpp
#	$(XGETTEXT) *.cpp -o $(podir)/katexmltools.pot

=== debian/changelog ===
kate (4:4.14.2-2) unstable; urgency=medium

  * Move data files to data package. (Closes: #766143)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Oct 2014 13:52:57 +0200

kate (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:12:57 +0200

kate (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:22 +0200

kate (4:4.14.0-1) unstable; urgency=medium

  * Build with tests disabled.
  * New patch: do_not_enforce_tests
  * New upstream release.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 25 Aug 2014 00:05:54 +0200

kate (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch: debian-disable-tests.diff, test are run with
    autopkgtest.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Aug 2014 09:12:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,23 @@
 Source: kate
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
-               libkactivities-dev,
-               libpython2.7-dev,
+               kdelibs5-dev (>= 4:4.12),
+               libkactivities-dev (>= 4:4.11),
                libqjson-dev,
-               libqt4-opengl-dev,
-               libqtwebkit-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               python-kde4-dev (>= 4:4.9.80),
-               python-qt4-dev,
-               python-sip-dev
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://kate-editor.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
-X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kate.git
-X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kate.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kate.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kate.git
 
 Package: kate
 Section: editors
@@ -35,8 +26,6 @@
          katepart (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: kate-data (<< 4:4.13.90)
-Replaces: kate-data (<< 4:4.13.90)
 Suggests: aspell | ispell | hspell, khelpcenter4, konsole
 Description: powerful text editor
  Kate is a powerful text editor that can open multiple files simultaneously.
@@ -72,12 +61,8 @@
 Package: kate-data
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: kate (<< 4:4.6.90),
-        katepart (<< 4:4.13.90),
-        kdelibs5-data (<< 4:4.6.90)
-Replaces: kate (<< 4:4.6.90),
-          katepart (<< 4:4.13.90),
-          kdelibs5-data (<< 4:4.6.90)
+Breaks: kate (<< 4:4.14.2-2~), kdelibs5-data (<< 4:4.6.90)
+Replaces: kate (<< 4:4.14.2-2~), kdelibs5-data (<< 4:4.6.90)
 Description: shared data files for Kate text editor
  This package contains the architecture-independent shared data files needed
  for Kate editor

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_addsubst_allLibraries = kate-dbg
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false

.PHONY: override_dh_auto_test

override_dh_auto_install:
	$(overridden_command)
	# provided by kate-syntax-go -- #628161
	rm -f debian/tmp/usr/share/kde4/apps/katepart/syntax/go.xml
	# provided by nescc -- #716942
	rm -f debian/tmp/usr/share/kde4/apps/katepart/syntax/nesc.xml
	# these would belong to kate-dev
	rm -rf debian/tmp/usr/include
	find debian/tmp/usr/lib -maxdepth 1 -name '*.so' -type l -delete

override_dh_strip:
	$(overridden_command) --dbg-package=kate-dbg

## kate 14.12.3

=== debian/changelog ===
kate (4:14.12.3-0ubuntu2.1) vivid; urgency=medium

  * Fix "KDEInit could not launch Kate" error when opening second file with Kate
    in Dolphin. (LP: #1449029)
    - Add upstream_Register_with_dbus_to_wake_up_KRun.patch

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 27 May 2015 23:44:57 +0200

kate (4:14.12.3-0ubuntu2) vivid; urgency=medium

  * Add upstream_find-IconThemes.diff to fix compile

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Apr 2015 16:16:22 +0200

kate (4:14.12.3-0ubuntu1) vivid; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Jonathan Riddell ]
  * Don't install applet file, broken in 14.12

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 13 Mar 2015 13:18:13 -0700

kate (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 07:12:54 -0800

kate (4:14.12.0-0ubuntu3) vivid; urgency=medium

  * add missing epoch to breaks/replaces

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Jan 2015 18:22:56 +0100

kate (4:14.12.0-0ubuntu2) vivid; urgency=medium

  * Update testsuite.xsession to use kdeinit5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Dec 2014 12:20:37 +0100

kate (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 15:38:19 +0100

kate (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Update build-deps and use pkg-kde v3 for Qt 5 build
  * kate-data now kate5-data for co-installability

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Dec 2014 16:49:41 +0100

kate (4:4.14.3-0ubuntu3) vivid; urgency=medium

  * Fix autopkgtest run by making sure DEB_HOST_MULTIARCH is defined in the
    testsuite

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 27 Nov 2014 21:12:08 +0100

kate (4:4.14.3-0ubuntu2) vivid; urgency=medium

  * kate-data breaks/replaces katepart << 4:4.14.3-0ubuntu2~ (LP: #1395466)
  * Remove files from kate that conflict with kate-data
  * kate-data breaks/replaces kate << 4:4.14.3-0ubuntu2~

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 25 Nov 2014 19:42:45 +0100

kate (4:4.14.3-0ubuntu1) vivid; urgency=medium

  * Merge with debian unstable, remaining changes:
    - add appropriate breaks/replaces
    - build pate:
      + build-depend on python
      + point dh_auto_configure to the correct libpython location
  * Update Vcs urls for the new repository location.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update the maintainer
  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 22 Nov 2014 21:07:44 +0100

kate (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:04:06 -0700

=== debian/control ===
Source: kate
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               kdoctools-dev,
               kinit-dev,
               kio-dev,
               libgit2-dev,
               libkf5config-dev,
               libkf5dbusaddons-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5itemmodels-dev,
               libkf5jobwidgets-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5parts-dev,
               libkf5service-dev,
               libkf5texteditor-dev,
               libkf5threadweaver-dev,
               libkf5wallet-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               plasma-framework-dev,
               qtbase5-dev,
               qtscript5-dev
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: http://kate-editor.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-applications/kate.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kate.git

Package: kate
Section: editors
Architecture: any
Depends: kate5-data (>= ${source:Version}),
         ktexteditor-katepart,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: aspell | ispell | hspell, khelpcenter, konsole-kpart
Description: powerful text editor
 Kate is a powerful text editor that can open multiple files simultaneously.
 .
 With a built-in terminal, syntax highlighting, and tabbed sidebar, it performs
 as a lightweight but capable development environment.  Kate's many tools,
 plugins, and scripts make it highly customizable.
 .
 Kate's features include:
 .
  * Multiple saved sessions, each with numerous files
  * Scriptable syntax highlighting, indentation, and code-folding
  * Configurable templates and text snippets
  * Symbol viewers for C, C++, and Python
  * XML completion and validation

Package: kate5-data
Architecture: all
Depends: ${misc:Depends}
Replaces: kate-data (<< 4:4.14.3-0ubuntu4)
Breaks: kate-data (<< 4:4.14.3-0ubuntu4)
Description: shared data files for Kate text editor
 This package contains the architecture-independent shared data files needed
 for Kate editor

Package: kwrite
Section: editors
Architecture: any
Depends: ktexteditor-katepart, ${misc:Depends}, ${shlibs:Depends}
Description: simple text editor
 KWrite is a simple text editor built on the KDE Platform. It uses the Kate
 editor component, so it supports powerful features such as flexible syntax
 highlighting, automatic indentation, and numerous other text tools.

Package: kate-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kate | kwrite, ${misc:Depends}
Description: debugging symbols for Kate
 This package contains debugging files used to investigate problems with
 binaries included in Kate.
